Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bg.alpha.base
Class ZCP

    java.lang.Object
      bg.alpha.base.ZCP

    public class ZCP

extends java.lang.Object

Field Summary
`static int` | `TEMPLEN`
`static java.lang.String` | `ZZZObjectClassName`

Constructor Summary
`ZCP(java.lang.String ZZZFileName1, java.lang.String ZZZFileName2, int CO)` Конструира обект за управление на защитена ZZZ база, с указани имена на файлове:

Method Summary
`boolean` | `addElement(long lId, byte[] E, int off, long L)`
`boolean` | `addElement(long lId, java.lang.String sE)` (1) Добавя символен низ към текущото множество на базата данни:
`long` | `BeginReadProcess()` Указва начало на процес за четене на информация в ZZZ база:
`long` | `BeginWriteProcess()`
`long` | `BeginWriteProcess(long lTimeout)` Указва начало на процес за запис на информация в ZZZ база:
`void` | `BreakWriteProcess()` Прекъсва текущия процес за запис:
`boolean` | `changeElement(long lId, byte[] E, int off, long L)`
`boolean` | `changeElement(long lId, java.lang.String sE)` (2) Подменя текущия елемент със зададения:
`void` | `EndProcess(long lId)` Указва край на процес за четене или запис на информация в ZZZ база:
`java.lang.String` | `GetClassName()`
`java.lang.String` | `getElement(long lId)` (4) Прочита символен низ от текущото множество на базата данни:
`long` | `getElement(long lId, byte[] E, int off, long L)`
`long` | `getElementLength(long lId)` (6) Придвижва се до подмножеството на текущия елемент:
`boolean` | `moveToBeginElement(long lId, java.lang.String sE)` (12) Придвижва се до първия най-близък до указания елемент:
`boolean` | `moveToDownSymbol(long lId)` (17) Придвижва се до долния символ в текущото множество
`boolean` | `moveToElement(long lId, byte[] E, int off, long L)`
`boolean` | `moveToElement(long lId, java.lang.String sE)` (5) Придвижва се до указания елемент:
`boolean` | `moveToEndElement(long lId, java.lang.String sE)` (13) Придвижва се до последния най-близък до указания елемент:
`boolean` | `moveToFirstElement(long lId)` (8) Придвижва се до първия елемент в текущото множество:
`boolean` | `moveToLastElement(long lId)` (9) Придвижва се до последния елемент в текущото множество:
`boolean` | `moveToNextElement(long lId)` (10) Придвижва се до следващия елемент в текущото множество:
`boolean` | `moveToNextSymbol(long lId)` (15) Придвижва се до следващия символ в текущото множество
`boolean` | `moveToPreviousElement(long lId)` (11) Придвижва се до предишния елемент в текущото множество:
`boolean` | `moveToPreviousSymbol(long lId)` (14) Придвижва се до предходния символ в текущото множество
`boolean` | `moveToSubSet(long lId)` (6) Придвижва се до подмножеството на текущия елемент:
`boolean` | `moveToSuperSet(long lId)` (7) Придвижва се до надмножеството на текущия елемент:
`boolean` | `moveToUpSymbol(long lId)` (16) Придвижва се до горния символ в текущото множество
`boolean` | `removeElement(long lId)` (3) Изтрива текущия елемент:
`void` | `RemoveProcess(long lId)`
`void` | `SetClassName()`
`void` | `SetClassName(java.lang.String sName)`
`long` | `ZAddElementByPath(long lId, byte[] Path, long PLen)`
`byte[]` | `ZMakePathToElement(long lId, boolean bSavePos)`
`boolean` | `ZMoveToElementByPath(long lId, byte[] Path, long PLen)`
`void` | `ZZZClose()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZZZObjectClassName

    public static final java.lang.String ZZZObjectClassName

See Also:
  Constant Field Values

### TEMPLEN

    public static final int TEMPLEN

See Also:
  Constant Field Values

Constructor Detail

### ZCP

    public ZCP(java.lang.String ZZZFileName1,
               java.lang.String ZZZFileName2,
               int CO)
        throws ZZZException

  Конструира обект за управление на защитена ZZZ база, с указани имена на файлове:

  Parameters:
    `ZZZFileName1` -
    `ZZZFileName2` -
    `CO` -
  Throws:
    `ZZZException` - ДАТА НА ПОСЛЕДНА ПРОМЯНА: 16.11.2010 г.

Method Detail

### BreakWriteProcess

    public void BreakWriteProcess()

  Прекъсва текущия процес за запис:

### BeginWriteProcess

    public long BeginWriteProcess()
                           throws ZZZException

  Throws:
    `ZZZException`

### BeginWriteProcess

    public long BeginWriteProcess(long lTimeout)
                           throws ZZZException

  Указва начало на процес за запис на информация в ZZZ база:

  Returns:
  Throws:
    `ZZZException`

### BeginReadProcess

    public long BeginReadProcess()

  Указва начало на процес за четене на информация в ZZZ база:

  Returns:

### RemoveProcess

    public void RemoveProcess(long lId)

### EndProcess

    public void EndProcess(long lId)

  Указва край на процес за четене или запис на информация в ZZZ база:

  Parameters:
    `lId` -

### ZZZClose

    public void ZZZClose()
                  throws ZZZException

  Throws:
    `ZZZException`

### addElement

    public boolean addElement(long lId,
                              java.lang.String sE)
                       throws ZZZException

  (1) Добавя символен низ към текущото множество на базата данни:

  Parameters:
    `lId` -
    `sE` -
  Returns:
  Throws:
    `ZZZException`

### addElement

    public boolean addElement(long lId,
                              byte[] E,
                              int off,
                              long L)
                       throws ZZZException

  Throws:
    `ZZZException`

### changeElement

    public boolean changeElement(long lId,
                                 java.lang.String sE)
                          throws ZZZException

  (2) Подменя текущия елемент със зададения:

  Parameters:
    `lId` -
    `sE` -
  Returns:
  Throws:
    `ZZZException`

### changeElement

    public boolean changeElement(long lId,
                                 byte[] E,
                                 int off,
                                 long L)
                          throws ZZZException

  Throws:
    `ZZZException`

### removeElement

    public boolean removeElement(long lId)
                          throws ZZZException

  (3) Изтрива текущия елемент:

  Parameters:
    `lId` -
  Returns:
  Throws:
    `ZZZException`

### getElement

    public java.lang.String getElement(long lId)
                                throws ZZZException

  (4) Прочита символен низ от текущото множество на базата данни:

  Parameters:
    `lId` -
  Returns:
  Throws:
    `ZZZException`

### getElement

    public long getElement(long lId,
                           byte[] E,
                           int off,
                           long L)
                    throws ZZZException

  Throws:
    `ZZZException`

### moveToElement

    public boolean moveToElement(long lId,
                                 java.lang.String sE)
                          throws ZZZException

  (5) Придвижва се до указания елемент:

  Parameters:
    `lId` -
    `sE` -
  Returns:
  Throws:
    `ZZZException`

### moveToElement

    public boolean moveToElement(long lId,
                                 byte[] E,
                                 int off,
                                 long L)
                          throws ZZZException

  Throws:
    `ZZZException`

### getElementLength

    public long getElementLength(long lId)
                          throws ZZZException

  (6) Придвижва се до подмножеството на текущия елемент:

  Parameters:
    `lId` -
  Returns:
  Throws:
    `ZZZException`

### moveToSubSet

    public boolean moveToSubSet(long lId)
                         throws ZZZException

  (6) Придвижва се до подмножеството на текущия елемент:

  Parameters:
    `lId` -
  Returns:
  Throws:
    `ZZZException`

### moveToSuperSet

    public boolean moveToSuperSet(long lId)
                           throws ZZZException

  (7) Придвижва се до надмножеството на текущия елемент:

  Parameters:
    `lId` -
  Returns:
  Throws:
    `ZZZException`

### moveToFirstElement

    public boolean moveToFirstElement(long lId)
                               throws ZZZException

  (8) Придвижва се до първия елемент в текущото множество:

  Parameters:
    `lId` -
  Returns:
  Throws:
    `ZZZException`

### moveToLastElement

    public boolean moveToLastElement(long lId)
                              throws ZZZException

  (9) Придвижва се до последния елемент в текущото множество:

  Parameters:
    `lId` -
  Returns:
  Throws:
    `ZZZException`

### moveToNextElement

    public boolean moveToNextElement(long lId)
                              throws ZZZException

  (10) Придвижва се до следващия елемент в текущото множество:

  Parameters:
    `lId` -
  Returns:
  Throws:
    `ZZZException`

### moveToPreviousElement

    public boolean moveToPreviousElement(long lId)
                                  throws ZZZException

  (11) Придвижва се до предишния елемент в текущото множество:

  Parameters:
    `lId` -
  Returns:
  Throws:
    `ZZZException`

### moveToBeginElement

    public boolean moveToBeginElement(long lId,
                                      java.lang.String sE)
                               throws ZZZException

  (12) Придвижва се до първия най-близък до указания елемент:

  Parameters:
    `lId` -
    `sE` -
  Returns:
  Throws:
    `ZZZException`

### moveToEndElement

    public boolean moveToEndElement(long lId,
                                    java.lang.String sE)
                             throws ZZZException

  (13) Придвижва се до последния най-близък до указания елемент:

  Parameters:
    `lId` -
    `sE` -
  Returns:
  Throws:
    `ZZZException`

### ZMakePathToElement

    public byte[] ZMakePathToElement(long lId,
                                     boolean bSavePos)
                              throws ZZZException

  Throws:
    `ZZZException`

### ZMoveToElementByPath

    public boolean ZMoveToElementByPath(long lId,
                                        byte[] Path,
                                        long PLen)
                                 throws ZZZException

  Throws:
    `ZZZException`

### ZAddElementByPath

    public long ZAddElementByPath(long lId,
                                  byte[] Path,
                                  long PLen)
                           throws ZZZException

  Throws:
    `ZZZException`

### moveToPreviousSymbol

    public boolean moveToPreviousSymbol(long lId)
                                 throws ZZZException

  (14) Придвижва се до предходния символ в текущото множество

  Parameters:
    `lId` -
  Returns:
  Throws:
    `ZZZException`

### moveToNextSymbol

    public boolean moveToNextSymbol(long lId)
                             throws ZZZException

  (15) Придвижва се до следващия символ в текущото множество

  Parameters:
    `lId` -
  Returns:
  Throws:
    `ZZZException`

### moveToUpSymbol

    public boolean moveToUpSymbol(long lId)
                           throws ZZZException

  (16) Придвижва се до горния символ в текущото множество

  Parameters:
    `lId` -
  Returns:
  Throws:
    `ZZZException`

### moveToDownSymbol

    public boolean moveToDownSymbol(long lId)
                             throws ZZZException

  (17) Придвижва се до долния символ в текущото множество

  Parameters:
    `lId` -
  Returns:
  Throws:
    `ZZZException`

### GetClassName

    public java.lang.String GetClassName()

### SetClassName

    public void SetClassName()

### SetClassName

    public final void SetClassName(java.lang.String sName)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD